Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.binding
Interface ServiceBindingManagerMBean

All Known Implementing Classes:
  ServiceBindingManager

public interface ServiceBindingManagerMBean

MBean interface.

Method Summary
`void` | `applyServiceConfig(javax.management.ObjectName serviceName)` Looks up the service config for the requested service using the server name bound to this mbean and invokes the configuration delegate to apply the bindings to the service.
`String` | `getServerName()`
`ServiceConfig` | `getServiceConfig(javax.management.ObjectName serviceName)` Looks up the service config for the given service using the server name bound to this mbean.
`String` | `getStoreFactoryClassName()`
`URL` | `getStoreURL()`
`void` | `setServerName(String serverName)`
`void` | `setStoreFactoryClassName(String storeFactoryClassName)`
`void` | `setStoreURL(URL storeURL)` Set the string representation of the store URL

Method Detail

### getServerName

    public String getServerName()

### setServerName

    public void setServerName(String serverName)

### getStoreFactoryClassName

    public String getStoreFactoryClassName()

### setStoreFactoryClassName

    public void setStoreFactoryClassName(String storeFactoryClassName)

### getStoreURL

    public URL getStoreURL()

### setStoreURL

    public void setStoreURL(URL storeURL)

  Set the string representation of the store URL

### getServiceConfig

    public ServiceConfig getServiceConfig(javax.management.ObjectName serviceName)
                                   throws Exception

  Looks up the service config for the given service using the server name bound to this mbean.

  Parameters:
    `serviceName` - the JMX ObjectName of the service
  Returns:
    ServiceConfig instance if found, null otherwise
  Throws:
    `Exception`

### applyServiceConfig

    public void applyServiceConfig(javax.management.ObjectName serviceName)
                            throws Exception

  Looks up the service config for the requested service using the server name bound to this mbean and invokes the configuration delegate to apply the bindings to the service. If no config if found then this method is a noop.

  Parameters:
    `serviceName` - the JMX ObjectName of the service
  Throws:
    `Exception,` - thrown on failure to apply an existing configuration
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.